EXTEND_BOTTOM taerom 14
	IF ~Global("wl_oublek_swordcom","GLOBAL",1)~ THEN REPLY ~I'm here to commission a sword.~ + wl_oublek_swordcom1
	IF ~Global("wl_oublek_swordcom","GLOBAL",2)
		GlobalTimerExpired("wl_oublek_swordcom_forgetime","LOCALS")~ THEN REPLY ~Is my sword ready?~ +wl_oublek_swordcom8
	IF ~Global("wl_oublek_swordcom","GLOBAL",2)
		!GlobalTimerExpired("wl_oublek_swordcom_forgetime","LOCALS")~ THEN REPLY ~Is my sword ready?~ +wl_oublek_swordcom9
END

APPEND taerom
	IF ~~ THEN BEGIN wl_oublek_swordcom1 SAY ~Ah yes, I received a missive from Nashkel. For the new guard captian, right?~ 
		++ ~Yes, that's right.~ + wl_oublek_swordcom2
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom2 SAY ~Well, the letter didn't go into too much detail about the specifications of the weapon and considering the time pressure, I'm afraid you'll have to make some decisions on their behalf.~ 
		IF ~TRUE()~ THEN GOTO wl_oublek_swordcom3
	END	
	
	IF ~~ THEN BEGIN  wl_oublek_swordcom3 SAY ~First we need to decide what kind of alloy to use for the blade. The options are regular steel, darksteel and adamantine.~
		IF ~TRUE()~ THEN GOTO wl_oublek_swordcom3a 
	END	
	
	IF ~~ THEN BEGIN wl_oublek_swordcom3a SAY ~The iron for the regular steel is locally sourced so it's cheaper, it'll run us about 300gp, but considering recent events, there's no guarantee of quality.~ 
		IF ~TRUE()~ THEN GOTO wl_oublek_swordcom3b
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom3b SAY ~Darksteel is fairly rare and will and will cost more than double at 800gp, but it's stronger, quality is guaranteed and the sword will have a slight shocking property.~ 
		IF ~TRUE()~ THEN GOTO wl_oublek_swordcom3c
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom3c SAY ~Adamantine is rarer still and even pricier, you will need to set aside 1300gp for it, but quality is unmatched - the blade will cut through damn near anything while being nigh on indestructible itself.~ 
		IF ~TRUE()~ THEN GOTO wl_oublek_swordcom3d
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom3d SAY ~So, which material is it going to be?~
		++ ~Regular old steel will be fine.~ DO ~
			SetGlobal("wl_oublek_swordcom_blade","GLOBAL",1)
			SetGlobal("wl_oublek_swordcom_qual","GLOBAL",0)~ + wl_oublek_swordcom4
		++ ~Darksteel sounds promising, let's go with that.~ DO ~
			SetGlobal("wl_oublek_swordcom_blade","GLOBAL",2)
			SetGlobal("wl_oublek_swordcom_qual","GLOBAL",4)~ + wl_oublek_swordcom4
		++ ~The best quality blade is essential, I choose Adamantine.~ DO ~
			SetGlobal("wl_oublek_swordcom_blade","GLOBAL",3)
			SetGlobal("wl_oublek_swordcom_qual","GLOBAL",7)~ + wl_oublek_swordcom4
	END

	IF ~~ THEN BEGIN wl_oublek_swordcom4 SAY ~Next, you need to pick the hilt. I can leave it with a simple stop at no extra cost, but I'd recommend spending an extra 100gp to put in a crossguard for basic hand protection or even 200gp for an ornate basket hilt, which will keep the hand even safer.~
		++ ~No need to get fancy, a basic stop will do.~ DO ~
			SetGlobal("wl_oublek_swordcom_hilt","GLOBAL",1)~ + wl_oublek_swordcom5
		++ ~The crossguard seems a reasonable choice.~ DO ~
			SetGlobal("wl_oublek_swordcom_hilt","GLOBAL",2)
			IncrementGlobal("wl_oublek_swordcom_qual","GLOBAL",1)~ + wl_oublek_swordcom5
		++ ~Let's not compromise with safet, a basket hilt is my choice!~ DO ~
			SetGlobal("wl_oublek_swordcom_hilt","GLOBAL",3)
			IncrementGlobal("wl_oublek_swordcom_qual","GLOBAL",2)~ + wl_oublek_swordcom5
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom5 SAY ~Finally, the pommel. We can use a cheap decorative gem for 100gp, a more valuable jewel for 200gp or a magical stone that'll make the sword keener for 500gp.~
		++ ~It's a guard's weapon, it doesn't need to be special. Let's use the cheap gem.~ DO ~
			SetGlobal("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom5a
		++ ~It should look good at the ceremony, put the valuable jewel in it.~ DO ~
			SetGlobal("wl_oublek_swordcom_pommel","GLOBAL",2)
			IncrementGlobal("wl_oublek_swordcom_qual","GLOBAL",1)~ + wl_oublek_swordcom5a
		++ ~A keener sword could save that man's life one day, I'll take the magical stone.~ DO ~
			SetGlobal("wl_oublek_swordcom_pommel","GLOBAL",3)
			IncrementGlobal("wl_oublek_swordcom_qual","GLOBAL",2)~ + wl_oublek_swordcom5a
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom5a SAY ~And of course the fee for my services, including compensation for putting other jobs on hold to rush this through, apprentice overtime, consulting services, special engraving, complimentary ceremonial scabbard and tip is... 1000gp.~
		++ ~Of course.~ + wl_oublek_swordcom6
		++ ~That's pretty steep...~ + wl_oublek_swordcom5b
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom5b SAY ~You're free to take your business elsewhere...~
		++ ~Never mind, I'll pay the fee.~ + wl_oublek_swordcom6
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6 SAY ~Alright, let's total this up...~ 
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a1
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a2
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a3
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a4
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a5
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a6
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a7
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a8
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a9
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a10
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a11
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a12
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a13
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a14
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a15
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a16
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a17
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a18
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a19
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a20
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a21
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a22
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a23
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a24
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ + wl_oublek_swordcom6a25
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ + wl_oublek_swordcom6a26
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ + wl_oublek_swordcom6a27
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a1 SAY ~So that's regular steel blade for 300gp, a simple stop at no charge and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 1400gp.~
		+ ~PartyGoldGT(1399)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1400)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a2 SAY ~So that's regular steel blade for 300gp, a simple stop at no charge and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 1500gp.~
		+ ~PartyGoldGT(1499)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1500)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a3 SAY ~So that's regular steel blade for 300gp, a simple stop at no charge and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 1800gp.~
		+ ~PartyGoldGT(1799)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1800)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a4 SAY ~So that's regular steel blade for 300gp, a crossguard for 100gp and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 1500gp.~
		+ ~PartyGoldGT(1499)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1500)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a5 SAY ~So that's regular steel blade for 300gp, a crossguard for 100gp and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 1600gp.~
		+ ~PartyGoldGT(1599)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1600)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a6 SAY ~So that's regular steel blade for 300gp, a crossguard for 100gp and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 1900gp.~
		+ ~PartyGoldGT(1899)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1900)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a7 SAY ~So that's regular steel blade for 300gp, a basket hilt for 200gp and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 1600gp.~
		+ ~PartyGoldGT(1599)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1600)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a8 SAY ~So that's regular steel blade for 300gp, a basket hilt for 200gp and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 1700gp.~
		+ ~PartyGoldGT(1699)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1700)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a9 SAY ~So that's regular steel blade for 300gp, a basket hilt for 200gp and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 2000gp.~
		+ ~PartyGoldGT(1999)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2000)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a10 SAY ~So that's darksteel blade for 800gp, a simple stop at no charge and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 1900gp.~
		+ ~PartyGoldGT(1899)~ + ~That's right, here's the money.~ DO ~TakePartyGold(1900)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a11 SAY ~So that's darksteel blade for 800gp, a simple stop at no charge and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 2000gp.~
		+ ~PartyGoldGT(1999)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2000)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a12 SAY ~So that's darksteel blade for 800gp, a simple stop at no charge and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 2300gp.~
		+ ~PartyGoldGT(2299)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2300)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a13 SAY ~So that's darksteel blade for 800gp, a crossguard for 100gp and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 2000gp.~
		+ ~PartyGoldGT(1999)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2000)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a14 SAY ~So that's darksteel blade for 800gp, a crossguard for 100gp and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 2100gp.~
		+ ~PartyGoldGT(2099)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2100)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a15 SAY ~So that's darksteel blade for 800gp, a crossguard for 100gp and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 2400gp.~
		+ ~PartyGoldGT(2399)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2400)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a16 SAY ~So that's darksteel blade for 800gp, a basket hilt for 200gp and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 2100gp.~
		+ ~PartyGoldGT(2099)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2100)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a17 SAY ~So that's darksteel blade for 800gp, a basket hilt for 200gp and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 2200gp.~
		+ ~PartyGoldGT(2199)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2200)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a18 SAY ~So that's darksteel blade for 800gp, a basket hilt for 200gp and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 2500gp.~
		+ ~PartyGoldGT(2499)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2500)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a19 SAY ~So that's adamantine blade for 1300gp, a simple stop at no charge and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 2400gp.~
		+ ~PartyGoldGT(2399)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2400)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a20 SAY ~So that's adamantine blade for 1300gp, a simple stop at no charge and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 2500gp.~
		+ ~PartyGoldGT(2499)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2500)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a21 SAY ~So that's adamantine blade for 1300gp, a simple stop at no charge and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 2800gp.~
		+ ~PartyGoldGT(2799)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2800)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a22 SAY ~So that's adamantine blade for 1300gp, a crossguard for 100gp and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 2500gp.~
		+ ~PartyGoldGT(2499)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2500)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a23 SAY ~So that's adamantine blade for 1300gp, a crossguard for 100gp and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 2600gp.~
		+ ~PartyGoldGT(2599)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2600)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a24 SAY ~So that's adamantine blade for 1300gp, a crossguard for 100gp and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 2900gp.~
		+ ~PartyGoldGT(2899)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2900)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a25 SAY ~So that's adamantine blade for 1300gp, a basket hilt for 200gp and a cheap gem for 100gp. And of course the fee for my services is 1000gp. The total comes up to 2600gp.~
		+ ~PartyGoldGT(2599)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2600)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a26 SAY ~So that's adamantine blade for 1300gp, a basket hilt for 200gp and a valuable gem for 200gp. And of course the fee for my services is 1000gp. The total comes up to 2700gp.~
		+ ~PartyGoldGT(2699)~ + ~That's right, here's the money.~ DO ~TakePartyGold(2700)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom6a27 SAY ~So that's adamantine blade for 1300gp, a basket hilt for 200gp and a magical gem for 500gp. And of course the fee for my services is 1000gp. The total comes up to 3000gp.~
		+ ~PartyGoldGT(2999)~ + ~That's right, here's the money.~ DO ~TakePartyGold(3000)~ + wl_oublek_swordcom7
		++ ~No, let's start over.~ + wl_oublek_swordcom3
		++ ~Actually let's do this later.~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom7 SAY ~Alright. Come back tomorrow to pick up the sword.~
		IF ~TRUE()~ THEN DO ~
			SetGlobal("wl_oublek_swordcom","GLOBAL",2)
			SetGlobalTimer("wl_oublek_swordcom_forgetime","LOCALS",ONE_DAY)
			AddJournalEntry(@26,QUEST)~ EXIT
	END
	
	IF ~~ THEN BEGIN wl_oublek_swordcom8 SAY ~Yes, it's done. Here you go.~
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW01",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW01",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW02",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW03",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW03",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
				THEN REPLY ~Thank you.~ 
					DO ~GiveItemCreate("WLSBSW04",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW05",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW05",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",1)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
					THEN REPLY ~Thank you.~ DO ~
						GiveItemCreate("WLSBSW06",Player1,1,1,0)
						SetGlobal("wl_oublek_swordcom","GLOBAL",4)
						AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW07",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW07",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW08",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW09",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW09",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW10",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW11",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW11",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",2)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW12",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW13",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW13",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",1)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW14",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW15",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW15",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",2)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW16",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",1)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW17",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",2)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW17",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
		IF ~Global("wl_oublek_swordcom_blade","GLOBAL",3)
			Global("wl_oublek_swordcom_hilt","GLOBAL",3)
			Global("wl_oublek_swordcom_pommel","GLOBAL",3)~ 
				THEN REPLY ~Thank you.~ DO ~
					GiveItemCreate("WLSBSW18",Player1,1,1,0)
					SetGlobal("wl_oublek_swordcom","GLOBAL",4)
					AddJournalEntry(@27,QUEST)~ EXIT
	END

	IF ~~ THEN BEGIN wl_oublek_swordcom9 SAY ~No, I'm still working on it.~
		++ ~I'll come back later.~ EXIT
	END
END